# Font File Reference

`#include <string>`
`#include <osg/Vec2>`
`#include <osg/Image>`
`#include <osg/Texture2D>`
`#include <osg/StateSet>`
`#include <osg/buffered_value>`
`#include <osg/TexEnv>`
`#include <osgText/Export>`

Include dependency graph for Font:

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | osgText

## Defines

#define | OSGTEXT_FONT 1

## Enumerations

enum | KerningType { KERNING_DEFAULT, KERNING_UNFITTED, KERNING_NONE }

## Functions

OSGTEXT_EXPORT Font * | readFontFile (const std::string &filename)
| read a font from specified file.

## Define Documentation

#define OSGTEXT_FONT 1

## Enumeration Type Documentation

enum osgText::KerningType

Enumeration values:

  KERNING_DEFAULT |
  KERNING_UNFITTED |
  KERNING_NONE |

## Function Documentation

osgText::Font * osgText::readFontFile | ( | const std::string & | filename | ) |

| read a font from specified file.